#! /bin/bash
set -e

if [[ ! -d "build/" ]]
then
	mkdir build
fi

# if doing shader development, disable the cache to make sure changes take affect
rm -rf /tmp/fggl/

pushd build
cmake ..
make
popd

pushd demo
gdb ../build/demo/FgglDemo
popd
